
// Fabrication de TCOs pour l'article "TCOs en Processing"
// version 1.0 du 17 novembre 2017
// Pierre Lecouffe

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// CONSTANTES

final int LIGNES=4,COLONNES=9; // nombre de lignes et de colonnes 

final int TAILLE_CASE=9; // cote d'une case en pixels
final int BORDURE=10; // bordure de la fenetre en pixels
final int ZOOM=5; // taux de zoom

final int GRIS_FOND=#D3D3D3,GRIS=#7F7F7F,NOIR=#000000,GRIS_FONCE=#555555; // couleurs

// VARIABLES

TCO tco; // le tco

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void settings() {
  size(COLONNES*TAILLE_CASE*ZOOM+BORDURE+BORDURE, // taille de la fenetre
       LIGNES*TAILLE_CASE*ZOOM+BORDURE+BORDURE,
       P2D); // mode graphique 2D
}

void setup() {
  noStroke(); // pas de bordures sur les formes
  surface.setTitle("IPCS"); // nom de la fenetre
  tco=new TCO(); // le tco
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void draw() {
  background(GRIS_FOND); // couleur du fond
  tco.dessiner(); // dessin du tco
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////